*{
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif; 
 
}

body {
  background-image: url(peak_background.jpg);
  background-size: cover;
}


a {
	text-decoration: none;
}

header {
  right: 0;
  top: 0;
  z-index: 1000;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 33px 9%;
  background-color: transparent;
}
.logo {
  font-size: 30px;
  font-weight: 700;
  color: black;
  text-decoration: none;
}


.nav-bar {
  display: flex;
}

.nav-bar a {
  color: black;
  margin-left: 60px;
  font-size: 15px;
  font-weight: 600;
  border-bottom: 2px solid transparent;
  transition: all .55s ease;
  text-decoration: none;
}

.nav-bar li {
  list-style-type: none;
}

.nav-bar a:hover {
  border-bottom: 2px solid black;

}

#menu-icon {
  color: black;
  font-size: 30px;
  z-index: 10001;
  cursor: pointer;
  display: none;
}




.intro {
  margin-top: 150px;
}
.intro h1 {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 50px;
}

.home h2 {
    display: flex;
    justify-content: start;
    align-items: center;
    font-weight: lighter;
}


ul {
    list-style-type: none;
}


.intro p {
    text-align: center;
    white-space: pre;
    font-size: 25px;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;    
}

.button button{
    color: white;
    background-color: black;
    cursor: pointer;
    border-radius: 20px;
    padding: 15px;
}

.button a {
  font-size: 15px;
}



.title {
    text-align: center;
}

.wrapper {
    --input-focus: #2d8cf0;
    --font-color: #323232;
    --font-color-sub: #666;
    --bg-color: #fff;
    --bg-color-alt: white;
    --main-color: #323232;
       display: flex; 
      flex-direction: column; 
      align-items: center; 
      margin-top: 250px;
  }
  /* switch card */
  .switch {
    transform: translateY(-200px);
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    width: 50px;
    height: 20px;
  }
  
  .card-side::before {
    position: absolute;
    content: 'Log in';
    left: -70px;
    top: 0;
    width: 100px;
    text-decoration: underline;
    color: var(--font-color);
    font-weight: 600;
  }
  
  .card-side::after {
    position: absolute;
    content: 'Sign up';
    left: 70px;
    top: 0;
    width: 100px;
    text-decoration: none;
    color: var(--font-color);
    font-weight: 600;
  }
  
  .toggle {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    box-sizing: border-box;
    border-radius: 5px;
    border: 2px solid var(--main-color);
    box-shadow: 4px 4px var(--main-color);
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--bg-colorcolor);
    transition: 0.3s;
  }
  
  .slider:before {
    box-sizing: border-box;
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    border: 2px solid var(--main-color);
    border-radius: 5px;
    left: -2px;
    bottom: 2px;
    background-color: var(--bg-color);
    box-shadow: 0 3px 0 var(--main-color);
    transition: 0.3s;
  }
  
  .toggle:checked + .slider {
    background-color: var(--input-focus);
  }
  
  .toggle:checked + .slider:before {
    transform: translateX(30px);
  }
  
  .toggle:checked ~ .card-side:before {
    text-decoration: none;
  }
  
  .toggle:checked ~ .card-side:after {
    text-decoration: underline;
  }
  
  /* card */ 
  
  .flip-card__inner {
    width: 300px;
    height: 350px;
    position: relative;
    background-color: transparent;
    perspective: 1000px;
      /* width: 100%;
      height: 100%; */
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
  }
  
  .toggle:checked ~ .flip-card__inner {
    transform: rotateY(180deg);
  }
  
  .toggle:checked ~ .flip-card__front {
    box-shadow: none;
  }
  
  .flip-card__front, .flip-card__back {
    padding: 20px;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    background: lightgrey;
    gap: 20px;
    border-radius: 5px;
    border: 2px solid var(--main-color);
    box-shadow: 4px 4px var(--main-color);
  }
  
  .flip-card__back {
    width: 100%;
    transform: rotateY(180deg);
  }
  
  .flip-card__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }
  
  .title {
    margin: 20px 0 20px 0;
    font-size: 25px;
    font-weight: 900;
    text-align: center;
    color: var(--main-color);
  }
  
  .flip-card__input {
    width: 250px;
    height: 40px;
    border-radius: 5px;
    border: 2px solid var(--main-color);
    background-color: var(--bg-color);
    box-shadow: 4px 4px var(--main-color);
    font-size: 15px;
    font-weight: 600;
    color: var(--font-color);
    padding: 5px 10px;
    outline: none;
  }
  
  .flip-card__input::placeholder {
    color: var(--font-color-sub);
    opacity: 0.8;
  }
  
  .flip-card__input:focus {
    border: 2px solid var(--input-focus);
  }
  
  .flip-card__btn:active, .button-confirm:active {
    box-shadow: 0px 0px var(--main-color);
    transform: translate(3px, 3px);
  }
  
  .flip-card__btn {
    margin: 20px 0 20px 0;
    width: 120px;
    height: 40px;
    border-radius: 5px;
    border: 2px solid var(--main-color);
    background-color: var(--bg-color);
    box-shadow: 4px 4px var(--main-color);
    font-size: 17px;
    font-weight: 600;
    color: var(--font-color);
    cursor: pointer;
  } 

  .about {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .about h2 {
    font-weight: light;
    color: black;
  }

  .grid-about {
    display: grid;
    grid-template-columns: auto auto auto auto;
    gap: 10px;
    padding: 10px;
    margin-top: 80px;
  }

  .grid-about div {
    
    text-align: center;
    background-color: lightgray;
    border-radius: 15px;

    
  }

  .grid-about i {
    font-size: 60px;
  }

  .grid-about p {
    
    font-size: 15px;
    padding: 10px;
  }

  .file-upload-form {
   display: flex;
   justify-content: center;
   align-items: center;
   margin: 0 auto;
   
   
  }
  .file-upload-label input {
    display: none;
  }
  .file-upload-label svg {
    height: 50px;
    fill: rgb(82, 82, 82);
    margin-bottom: 20px;
  }
  .file-upload-label {
    cursor: pointer;
    background-color: #ddd;
    padding: 30px 70px;
    border-radius: 40px;
    border: 2px dashed rgb(82, 82, 82);
    box-shadow: 0px 0px 200px -50px rgba(0, 0, 0, 0.719);
  }
  .file-upload-design {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
  }
  .browse-button {
    background-color: rgb(82, 82, 82);
    padding: 5px 15px;
    border-radius: 10px;
    color: white;
    transition: all 0.3s;
  }
  .browse-button:hover {
    background-color: rgb(14, 14, 14);
  }